{
  pkgs ? import <nixpkgs> { },
}:
with pkgs;
rustPlatform.buildRustPackage rec {
  pname = "skadi";
  version = "0.1.0";

  src = ./.;

  nativeBuildInputs = [ pkg-config ];

  buildInputs = [
    openssl
    sqlite
  ];

  cargoHash = "sha256-r94H+7yS8jMEkDI14LFoR9pq6AdLN28Lg4thGC+SKN4=";

  meta = with lib; {
    description = "A Discord-Matrix bridge.";
    homepage = "https://git.sr.ht/~dala/skadi";
    license = licenses.agpl3Only;
  };
}
