{
  pkgs ? import <nixpkgs> {
    overlays = [
      (import (builtins.fetchTarball "https://github.com/oxalica/rust-overlay/archive/master.tar.gz"))
    ];
  },
}:
pkgs.mkShell {
  nativeBuildInputs = with pkgs; [
    (rust-bin.stable.latest.default.override { extensions = [ "rust-src" ]; })
    pkg-config
  ];

  buildInputs = with pkgs; [
    openssl
    sqlite
  ];

  packages = with pkgs; [
    nixfmt-rfc-style
    rust-analyzer
    rustfmt
  ];
}
